# $Revision: 1.27 $, $Date: 2002/03/12 11:16:01 $
Summary:	Port scan detection and active defense
Summary(pl):	Program wykrywajcy skanowanie portw i umoliwiajcy obron
Name:		portsentry
Version:	1.1
Release:	6
License:	distributable (see LICENSE)
Group:		Applications/Networking
Source0:	http://www.psionic.com/downloads/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-logging-pld.patch
Patch1:		%{name}-ignore.csh.patch
URL:		http://www.psionic.com/products/
PreReq:		/bin/awk
PreReq:		/bin/csh
PreReq:		/sbin/chkconfig
PreReq:		fileutils
PreReq:		iproute2
PreReq:		rc-scripts
PreReq:		textutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/portsentry

%description
PortSentry is part of the Abacus Project suite of tools. The Abacus
Project is an initiative to release low-maintenance, generic, and
reliable host based intrusion detection software to the Internet
community.

%description -l pl
PortSentry jest czci zestawu narzdzi Projektu Abacus. Projekt
Abacus ma na celu stworzenie oglnego, pewnego i wymagajcego
niewielkiej obsugi oprogramowania do wykrywania prb skanowania
portw dla internetowej spoecznoci.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1

%build
%{__make} linux CFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},/etc/{rc.d/init.d,sysconfig}}

%{__make} install INSTALLDIR=$RPM_BUILD_ROOT/etc
install ignore.csh $RPM_BUILD_ROOT%{_bindir}
install portsentry $RPM_BUILD_ROOT%{_bindir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/portsentry
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/portsentry

gzip -9nf README* CHANGES CREDITS LICENSE

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/ignore.csh
/sbin/chkconfig --add portsentry
ls --color=none /var/lock/subsys/portsentry* >/dev/null 2>&1
if [ $? -eq "0" ]; then
	/etc/rc.d/init.d/portsentry restart >&2
else
	echo "Run \"/etc/rc.d/init.d/portsentry start\" to start portsentry daemon."
fi

%preun
if [ "$1" = "0" ]; then
	ls --color=none /var/lock/subsys/portsentry* >/dev/null 2>&1
	if [ $? -eq "0" ]; then
		/etc/rc.d/init.d/portsentry stop >&2
	fi
	/sbin/chkconfig --del portsentry
fi

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(750,root,root) %dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/portsentry.conf
%attr(640,root,root) %config(noreplace,missingok) %verify(not md5 size mtime) %{_sysconfdir}/portsentry.ignore
%attr(640,root,root) %config %verify(not md5 size mtime) /etc/sysconfig/*
%attr(754,root,root) /etc/rc.d/init.d/*
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: portsentry.spec,v $
Revision 1.27  2002/03/12 11:16:01  kloczek
- release 6.

Revision 1.26  2002/03/11 11:59:40  gotar
- %verify flags for config files.

Revision 1.25  2002/03/10 11:24:46  mkochano
- Release 5.
- Now realy added ignore.csh patch @#$^@$@#$!
- PreReq: net-tools -> iproute2.

Revision 1.24  2002/03/08 19:39:59  mkochano
- Release 4.
- Added ignore.csh patch. Now it's more inteligent and has lesser
  requirements. NOTE: patch modifies only Linux-specific code.
- Removed PreReq: grep, sed.

Revision 1.23  2002/03/08 12:35:21  gotar
- PreReq: /bin/awk

Revision 1.22  2002/03/07 20:18:55  gotar
- fixed URL,
- complemented PreReqs listing,
- release 3.

Revision 1.21  2002/03/05 21:43:14  marcus
- now portsentry package cointains portsentry binary :)
- rel.2.

Revision 1.20  2002/03/01 23:52:22  pioklo
- updated to 1.1 and added new patch for version 1.1 , rel 1

Revision 1.19  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/18 02:14:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/09/25 12:17:30  qboosh
- release 7: Prereq: /sbin/chkconfig (not implied by rc-scripts)

Revision 1.16  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.14  2001/06/16 04:50:28  kloczek
- Prereq rc-scripts (not chkconfig).

Revision 1.13  2001/06/15 16:06:30  baggins
- release 6
- prereq textutils, sed, chkconfig

Revision 1.12  2001/05/19 12:41:28  mkochano
- Release 5.
- Added patch for logging events at different levels. Normal messages are
  logged as daemon.notify (as it was before) but attack warrnings are logged
  as daemon.alert. This can be changed at compile time with macros
  SYSLOG_LEVEL and SYSLOG_LEVEL_ATTACH in portsentry_config.h.

Revision 1.11  2001/05/02 21:51:26  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.10  2001/02/21 04:17:25  kloczek
- release 4,
- spec adapterized.

Revision 1.9  2000/06/09 07:23:51  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/06/07 04:31:54  kloczek
- spec adapterized.

Revision 1.7  2000/04/19 16:56:49  siefca
- fixed location of the history file,
- added nice level support for the service,
- removed packet logging function after route was dropped.

Revision 1.6  2000/04/18 19:42:25  kloczek
- cosmetics.

Revision 1.5  2000/04/17 23:50:38  siefca
- adapterized again,
- added pld patch (hosts.deny fix),
- added initscript,
- added sysconfig support.

Revision 1.4  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:04  baggins
- translated kloczkish into english

Revision 1.2  2000/03/12 01:52:01  kloczek
- spec adapterized,
- added passing $RPM_OPT_FLAGS to compile options,
- added gzipping %doc,
- more rpm macros,
- Licence changed to "distributable (see LICENSE)".

Revision 1.1  2000/03/07 21:19:30  leafnode
- initial release as rpm
